// locationview.js
//
// Contents of location tab
//
var tfFind = Titanium.UI.createTextField({
	color:'#336699',
	height:35,
	top:10,
	left:10,
	width:230,
	keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
});
var btnFind = Titanium.UI.createButton({
	title:'Go',
	height:35,
	width:55,
	left:250,
	top:10
});

var xhrFind = Titanium.Network.createHTTPClient();
xhrFind.onload = function()
{
	var ll = this.responseText.split(",");
	Titanium.API.info("Locate request completed: " + ll);
	if (ll.length == 2)
	{
		var truncatedTitle = tfFind.value.toString();
		if (truncatedTitle.length > 15)
		{
			truncatedTitle = truncatedTitle.substring(0,15) + '...';
		}
		
		Titanium.App.fireEvent('location_changed', 
		{
			title: truncatedTitle,
			latitude: ll[0],
			longitude: ll[1]
		});
        
        Titanium.App.fireEvent('show_map');
	}
};
btnFind.addEventListener('click', function()
{
	xhrFind.open('GET', 
		'http://tinygeocoder.com/create-api.php?q=' + 
		Titanium.Network.encodeURIComponent(tfFind.value));
	xhrFind.send();
});

var win = Titanium.UI.currentWindow;

win.add(tfFind);
win.add(btnFind);
